<script setup>
import { ref } from 'vue'
import { DefaultApi, Configuration } from '../../openapi/generated'

import MemoInput from '../molecules/MemoInput.vue'

const props = defineProps({
  apiUrl: {
    type: String,
    default: 'http://localhost:1323'
  }
})
const emit = defineEmits(['add'])

const newMemoText = ref('')
const newMemoTag = ref('')


// init api
const conf = new Configuration({
  basePath: props.apiUrl,
})
const api = new DefaultApi(conf)


const addMemo = () => {
  console.log(newMemoText.value)
  console.log(newMemoTag.value)

  api.addMemo({
    newMemo: {
      text: newMemoText.value,
      tag: newMemoTag.value ? newMemoTag.value : undefined
    }
  }).then(result => {
    console.log(result)
    newMemoText.value = ''
    newMemoTag.value = ''

    emit('add', result)
  })
}
</script>

<template>
  <div>
    <form
      name="add-memo"
      @submit.prevent="addMemo"
    >
      <MemoInput id="post" v-model:text="newMemoText" v-model:tag="newMemoTag"></MemoInput>
      <button type="submit" class="btn btn-primary">add</button>
    </form>
  </div>
</template>

<style scoped>

</style>

